﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace WPFBindingTest
{
    public partial class UserControl1 : UserControl
    {
        public UserControl1()
        {
            InitializeComponent();
        }

        public List<string> Strings
        {
            get { return (List<string>)GetValue(StringsProperty); }
            set { SetValue(StringsProperty, value); }
        }

        public static readonly DependencyProperty StringsProperty =
            DependencyProperty.Register("Strings", typeof(List<string>), typeof(UserControl1), new PropertyMetadata(Strings_Changed));

        public string Length
        {
            get { return (string)GetValue(LengthProperty); }
            set { SetValue(LengthProperty, value); }
        }

        public static readonly DependencyProperty LengthProperty =
            DependencyProperty.Register("Length", typeof(string), typeof(UserControl), new PropertyMetadata(Length_Changed));

        private static void Strings_Changed(DependencyObject obj, DependencyPropertyChangedEventArgs e)
        {
            MessageBox.Show("Strings changed");
        }

        private static void Length_Changed(DependencyObject obj, DependencyPropertyChangedEventArgs e)
        {
            MessageBox.Show("Length changed");
        }
    }
}
